using System;

internal sealed class Delegate177 : MulticastDelegate
{
	public extern string Invoke(object object_0, int int_0, int int_1);

	public static string smethod_0(object object_0, int int_0, int int_1, Delegate177 delegate177_1)
	{
		return delegate177_1(object_0, int_0, int_1);
	}

	public extern Delegate177(object object_0, IntPtr intptr_0);

	static Delegate177()
	{
		Class10.smethod_13(typeof(Delegate177).TypeHandle);
	}

	internal static Delegate177 delegate177_0;
}
